> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Regions

> Returns the list of regions (states or provinces), optionally filtered by country.

Returns the list of regions (states or provinces) optionally filtered by Country. The list might include only the regions for the countries where specifying a region in address is mandatory ( IsStateMandatory = true).


## OpenAPI

````yaml api-reference/specs/regions.yaml POST /Browsing/Regions
openapi: 3.0.3
info:
  title: Regions
  version: 1.0.0
  x-scaled-review: true
  description: >-
    Returns the list of regions (states or provinces) optionally filtered by
    Country. The list might include only the regions for the countries where
    specifying a region in address is mandatory ( IsStateMandatory = true).
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: Regions
    x-page-title: Regions
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Browsing & Catalog'
paths:
  /Browsing/Regions:
    post:
      tags:
        - Regions
      summary: >-
        Return the list of regions (states or provinces) optionally filtered by
        Country
      description: >-
        Returns the list of regions (states or provinces) optionally filtered by
        Country. The list might include only the regions for the countries where
        specifying a region in address is mandatory ( IsStateMandatory = true).
      operationId: regions
      parameters:
        - name: countryCode
          in: query
          required: false
          schema:
            type: string
          description: >-
            2-char ISO country code. If not specified, all the countries
            supported by the Merchant will be returned
        - name: cultureCode
          in: query
          required: false
          schema:
            type: string
          description: >-
            ISO culture code. If specified, the textual properties (i.e. Name)
            will be returned in the requested culture’s language. Texts in
            English will be returned by default for the regions where the texts
            for the requested culture are unavailable or if the cultureCode
            argument has not been specified
      responses:
        '200':
          description: List of regions (states or provinces).
          content:
            application/json:
              schema:
                type: object
                properties:
                  Region:
                    type: array
                    description: >-
                      Returns the list of regions (states or provinces), list of
                      Region objects.
                    items:
                      $ref: '#/components/schemas/Region'
components:
  schemas:
    Region:
      type: object
      title: Region
      properties:
        Code:
          type: string
          description: >-
            Region code for this state or province (unique in the respective
            Country)
        CountryCode:
          type: string
          description: 2-char ISO country code to which this region belongs
        Name:
          type: string
          description: Region name

````